<template>
  <v-card>
    <v-card-text>
      <v-row>
        <v-col cols="3">
          
          <v-img :src="item.movie.Poster" height="100"> </v-img>
        </v-col>
        <v-col cols="9">
          <span> # {{ index + 1 }}</span>
          <h2>{{ item.movie.Title }}</h2>
          <p>Quantity: {{ item.qty }}</p>
          <p v-if="type === 'renting'">
            Renting <strong>Start: </strong><span>{{ new Date(item.date[0]) }}</span> <br />
            <strong>End: </strong> <span> {{ new Date(item.date[1]) }}</span>
          </p>
          <v-btn size="x-small" color="error" @click="deleteItem()"> Delete </v-btn>
        </v-col>
      </v-row>
    </v-card-text>
  </v-card>
</template>

<script setup>
import { cartStore } from '../stores/cart'

const store = cartStore()
const props = defineProps(['item', 'index', 'type'])

function deleteItem() {
  store.deleteFromCart({ type: props.type, index: props.index })
}
</script>
